<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateSurveyAssignsTable extends Migration
{
    public function up()
    {
        Schema::create('survey_assigns', function (Blueprint $table) {
            $table->id();
            $table->integer('survey_id');
            $table->integer('user_id');
            $table->integer('is_attended')->nullable()->default(0);
            $table->integer('is_anonymous')->nullable()->default(0);
            $table->integer('lms_id')->default(1);
            $table->timestamps();
        });
    }

    public function down()
    {
        Schema::dropIfExists('survey_assigns');
    }
}
